@REM Licensed Materials-Property of IBM, 5697-EAS
@REM (C)Copyright IBM Corp 1998
@REM (C)Copyright Tivoli Systems, an IBM Co 1998
@REM All rights reserved
@REM US Government Users Restricted Rights
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp

@REM Licensed Materials-Property of IBM, 5697-EAS
@REM (C)Copyright IBM Corp 1999
@REM (C)Copyright Tivoli Systems, an IBM Co 1999
@REM All rights reserved
@REM US Government Users Restricted Rights:
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp

@REM Licensed Materials-Property of IBM, 5697-EAS
@REM (C)Copyright IBM Corp 2000
@REM (C)Copyright Tivoli Systems, an IBM Co 2000
@REM All rights reserved
@REM US Government Users Restricted Rights:
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp

@REM Licensed Materials-Property of IBM, 5697-EAS
@REM (C)Copyright IBM Corp 2001
@REM (C)Copyright Tivoli Systems, an IBM Co 2001
@REM All rights reserved
@REM US Government Users Restricted Rights
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp
@REM 
@REM Licensed Materials-Property of IBM, 5698-TEC
@REM (C)Copyright IBM Corp 2002
@REM (C)Copyright Tivoli Systems, an IBM Co 2002
@REM All rights reserved
@REM US Government Users Restricted Rights
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp





@ECHO OFF
@REM If this is being run on a Tivoli Managed Node, then the Tivoli environment must be initialized.
@REM Refer to setup_env.csh, setup_env.sh, or setup_env.cmd
@REM Command line option -nowindow, specifies to run the tec console as a background process with
@REM no command window.

@REM set current directory
for /f "delims=" %%a in ('cd') do set CURDIR=%%a

set INTERP=w32-ix86
set INSTALL_DIR=%BINDIR%\..\generic_unix\TME\TEC
set JRE_DIR=%BINDIR%\TME\TEC\jre
set ARGS=
set DEBUG=""
set NV_INST_FLAG=NO
IF NOT "%NVWC_HOME%"=="" set NVWC_JAR=%NVWC_HOME%\lib\launch.jar;%NVWC_HOME%\lib\log4j.jar
IF EXIST "%NVWC_HOME%\lib\launch.jar" set NV_INST_FLAG=YES
IF EXIST "%NVWC_HOME%\lib\launch.jar" set NVWC_WORKING_DIR="%NVWC_HOME%\lib"
IF "%NV_INST_FLAG%"=="YES" GOTO NoNetViewServer

@REM If NetView Web Console is not installed check if we can launch the version
@REM bundled with NetView Server
set NVWC_SERVER=%NV_DRIVE%\usr\ov\www\webapps\netview
IF EXIST %NVWC_SERVER%\launch.jar set NVWC_JAR=%NVWC_SERVER%\launch.jar;%NVWC_SERVER%\log4j.jar
IF EXIST %NVWC_SERVER%\launch.jar set NV_INST_FLAG=YES
If EXIST %NVWC_SERVER%\launch.jar set NVWC_WORKING_DIR=%NVWC_SERVER%

:NoNetViewServer
@REM Custom Button
set TEC_CUSTOM_LABEL_ENV=
set TEC_CUSTOM_ACTION_ENV=
IF NOT "%TEC_CUSTOM_LABEL%"=="" set TEC_CUSTOM_LABEL_ENV=-Dtec.label="%TEC_CUSTOM_LABEL%"
IF NOT "%TEC_CUSTOM_ACTION%"=="" set TEC_CUSTOM_ACTION_ENV=-Dtec.action="%TEC_CUSTOM_ACTION%"

@REM set NETVIEW_JAR=%INSTALL_DIR%\collections.jar;%INSTALL_DIR%\log4j-1.0.4.jar;%INSTALL_DIR%\nvnways.jar;%INSTALL_DIR%\nways_dep.jar
set JRE_CLASSPATH=%INSTALL_DIR%\nls;%INSTALL_DIR%\tec_console.jar;%INSTALL_DIR%\jhall.jar;%INSTALL_DIR%\jrim.jar;%INSTALL_DIR%\avail_common.jar;%INSTALL_DIR%\console.jar;%INSTALL_DIR%\ibmjsse.jar;%INSTALL_DIR%\jcf.jar;%INSTALL_DIR%\jsafe.zip;%INSTALL_DIR%\uif.jar;%INSTALL_DIR%\jcchart362J-classes.zip;%INSTALL_DIR%\tec_ui_svr.jar;%INSTALL_DIR%\tec_ui_svr_stubs.jar;%INSTALL_DIR%\tec_svr.jar;%INSTALL_DIR%\tec_svr_stubs.jar;%INSTALL_DIR%\java-getopt-1.0.6.jar;%NETVIEW_JAR%;%NVWC_JAR%

set PROPERTIES=-DINTERP=%INTERP% -DDISPLAY=%DISPLAY%

:Loop
IF "%1"=="" GOTO Continue
IF NOT "%1"=="-nowindow" set ARGS=%ARGS% %1
IF "%1"=="-nowindow" set DEBUG=YES
SHIFT
GOTO Loop

:Continue
IF %DEBUG%==YES GOTO RunConsole
IF NOT %DEBUG%==YES GOTO RunDebugMode

:RunConsole
@REM Run the Tec Console in a background process. No Command window will be present.
set JRE_COMMAND="%JRE_DIR%\bin\javaw.exe"
set COMMANDSTR=start /MIN "Tivoli Enterprise Console" %JRE_COMMAND% %TEC_CUSTOM_LABEL_ENV% %TEC_CUSTOM_ACTION_ENV% -Djavax.net.ssl.trustStore="%INSTALL_DIR%\jcf.jks" -Dnv_inst_flag="%NV_INST_FLAG%" -Dnvwc.cwd=%NVWC_WORKING_DIR% -Dnvwc.java="%JRE_DIR%\bin\java.exe" -classpath "%JRE_CLASSPATH%" %PROPERTIES% com.tivoli.tec.console.EnterpriseConsoleLauncher %ARGS%
@REM Print the execution string to a file for debugging purposes.
@ECHO %COMMANDSTR% > tec_console.debug
%COMMANDSTR%
GOTO StopProg

:RunDebugMode
@ECHO ON
@ECHO Running the Tec Console. All output from stdout and stderr will go to the command window.
"%JRE_DIR%\bin\java.exe" %TEC_CUSTOM_LABEL_ENV% %TEC_CUSTOM_ACTION_ENV% -Djavax.net.ssl.trustStore="%INSTALL_DIR%\jcf.jks" -Dnv_inst_flag="%NV_INST_FLAG%" -Dnvwc.cwd=%NVWC_WORKING_DIR% -Dnvwc.java="%JRE_DIR%\bin\java.exe" -classpath "%JRE_CLASSPATH%" %PROPERTIES% com.tivoli.tec.console.EnterpriseConsoleLauncher %ARGS%

:StopProg
@echo off
cd %CURDIR%
@echo on
